• 0

    posted a message on WoW UI Updater (Win/OSX/Linux, supports multiple sites), 1.6 thread
    Oh...sorry to hear this...check with Apple; there is something they do or can tell you what to do if you have the serial no and/or Applecare so if that machine turns up anywhere it will be detected.

    Good Luck
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Yes... after manually updating, Gatherer is fine now... :)

    Is there any way of forcing an authentication? Addons downloaded from wowace often have files with weird permissions set so that one has the following error when trying to update (eg. SpamSentry but it's by far the the only one):
    Quote from WUU 1.4.300 »

    2007-05-16 00:23:52 (WARNING) Skipping forbidden file SpamSentry/ss_lod.bat
    2007-05-16 00:23:52 (WARNING) Skipping forbidden file SpamSentry/ss_lod.sh


    Trying to do anything with these files in Finder forces an authentication. As I've only seen this with addons downloaded from wowace, I'd think, they set some permission bit...not a big problem anyway.

    Btw. getting the data together for these reports has sometimes proven to be unexpectedly difficult; when I click in the Event Log tab and sometimes also in the stdout window, select the text to be copied and then do a <cmd>-C or "copy to BBCode" only the following will be copied:

    Quote from WUU 1.4.300 »
    <insert something, sometimes clipboard content, sometimes ?>


    I get the BBCode quote around the current clipboard text or whatever WUU decides must be in the clipboard or must be selected which produces interesting but unfortunately practically always unwanted results :) The log file doesn't correspond 100% to the event log which made this doubly interesting.
    However, having said this, I found that running everything in 1 process, no sub processes (run "idle" from Terminal with "idle -n") would solve part of the problem (I then could copy the error msgs) so this may be a Python thing.
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from Rushster »

    <snip>
    I am quite astounded by the hostility displayed in this thread towards the ui.worldofwar.net team, quite alarming really and actually dissapointing as we have really backed the users and authors since WoW was launched. Bandwidth usage on a regular basis using WUU will be neglibale but as you know patch days are a different matter with just about every website coming to its knees which is no good for any WoW player whos is trying to update their mods. We have managed to combat down-time quite well and managed to keep alive for about 99% of the patch period distributing thousands of mods out to the community quickly. How have we managed to do this? By careful planning and organising which is what we are doing again right now.

    As I said many posts back we will work with the WUU team to figure out the best way to get things integrated. I think people are deliberatly choosing to ignore that commment.
    <snip>


    You are making it sound now as though it is all about patch day and how unreasonable people here are that they don't see the drain on bandwidth on patch days...read the comments; people even proposed the solution to disable the updater on patch days. What is unreasonable about that?

    May I quote the original statement made by "The ui.worldofwar.net team" back to you?

    Quote from Amthea »

    We at ui.worldofwar.net have had to forcefully disable this tool from requesting data from our site, for two reasons. Firstly we have to pay huge bandwidth fees and we make up for that with advertising, but this tool circumvents that completely and just leeches our bandwidth which we cannot allow. Secondly we have our own tool called UI Central (http://ui.worldofwar.net/ui.php?id=2106) which we would urge users of the site to use, which we have thoroughly checked and added an API for it so the bandwidth use is minimal.

    Please do not try and get around our new measures to block your program. It is a great, well-built utility but unfortunately we can't allow you to use it in conjunction with our site. If in the future we release an API system we will let you know, this may come with the brand new redesign of our site in a few weeks.

    Also, we did try and contact the developer before doing this but we didn't get any reply.

    -The ui.worldofwar.net team


    As I read this, it doesn't mention patch day at all.

    -----
    (yes, I shut up now...fresh on site and already opening mouth like that...slinking back into corner :) )
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from lejordet »

    ...It's probably a bug in our internal handling of the list - there's a lot of "housekeeping code" to keep it in a sane state when addons are updated/added/deleted/version checked... After reading some code, and doing some testing, I think the bug is related to the new handling of library updates from WoWAce - I'm guessing you're running without 'no-ext'? :) The first error message points at an error in Decimal, which wasn't used before .279, so it isn't that strange that this is a new error ;)


    The option "WoWAce: use no-ext addons" is set :)

    Quote from lejordet »

    WUU 1.3.293 beta
    WUU 1.3.293 beta source

    1.3.293 beta 1.4 RC3 (2007.05.14):

    * Bugfix: Crash on list sort

    This should make WUU handle list sorts a bit better (I hope) - Eleve, please check WUU.log after sorting a bit in this version - there should be an error message there regarding "local version", I think, which will tell us which addon triggers the bug you experienced ;)
    ...

    Ok...I got an error with Gatherer:

    2007-05-14 20:12:21 (ERROR ) Can't parse local version '
    This is Gatherer v2.99.0.0515

    ' for addon Gatherer:
    Traceback (most recent call last):
    File "/Applications/WUU/Wurm.py", line 438, in updateAvailable
    self.localversion = Decimal(self.localversion)
    File "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/decimal.py", line 614, in __new__
    self._sign, self._int, self._exp = context._raise_error(ConversionSyntax)
    File "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/decimal.py", line 2325, in _raise_error
    raise error, explanation
    InvalidOperation


    Everything I tried works now; I went through
    sort asc./desc. on all columns several times
    check the online versions of all addons
    update all addons
    add an addon, check/install/delete it
    cancelling out of "install" from wowace
    plus a few other thing, I had noticed in version 287

    It all worked and there was just 1 minor niggle that turned up in all this clicking around. From time to time, some of the addons would lose their online version and revert to "?". No particular addons, different ones every time and I didn't follow it up as the version check would always restore it properly.

    So...thank you!!!

    As an aside, if you need to test something on a Mac, let me know. I'd be happy to contribute to such a useful program :)
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from lejordet »

    Quote from eleve »

    trying to sort the columns by clicking on the title bar gives me (Mac, PPC, 10.4.9, Python 2.5.1 build r251) the following error:
    Quote from WUU 1.3.287 »

    2007-05-12 23:14:02 (ERROR ) Thread Error: load,
    Traceback (most recent call last):
    File "/Applications/WUU/WUU.py", line 328, in _do
    wurmUI.OnLoad(None)
    File "/Applications/WUU/WUU.py", line 1562, in OnLoad
    self.OnScan(None)
    File "/Applications/WUU/WUU.py", line 1581, in OnScan
    self.RefreshAddonList(showcount = True)
    File "/Applications/WUU/WUU.py", line 1543, in RefreshAddonList
    self.AddAddon(WurmCommon.addonlist.getSome(a))
    File "/Applications/WUU/WUU.py", line 1485, in AddAddon
    updateava, diff = WurmCommon.addons[a].updateAvailable()
    File "/Applications/WUU/Wurm.py", line 436, in updateAvailable
    self.localversion = Decimal(self.localversion)
    File "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/decimal.py", line 614, in __new__
    self._sign, self._int, self._exp = context._raise_error(ConversionSyntax)
    File "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/decimal.py", line 2325, in _raise_error
    raise error, explanation
    InvalidOperation


    That actually happened in the version .262 already but you were faster in releasing a new version than I was in reporting it :)

    Just let me know if you need more information.



    Just wondering, do you have any addons with no assigned local version - a "?" in the version field?

    I have a few, yes, but they worked/work fine with version 251 :)

    I might have a bit more of a clue on this. I ran it with debugger on and got the following error:

    Traceback (most recent call last):
    File "//Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/wx-2.8-mac-unicode/wx/lib/mixins/listctrl.py", line 119, in __OnColClick
    self.GetListCtrl().SortItems(self.GetColumnSorter())
    File "//Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/wx-2.8-mac-unicode/wx/_controls.py", line 4814, in SortItems
    return _controls_.ListCtrl_SortItems(*args, **kwargs)
    File "//Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/wx-2.8-mac-unicode/wx/lib/mixins/listctrl.py", line 137, in __ColumnSorter
    item1 = self.itemDataMap[key1][col]
    KeyError: 1375975228


    Which unicode/extended char libs are you relying on? There are 2 versions and I might have installed the wrong ones. This error seems to point towards an error in wx-2.8-mac-unicode/wx/lib/mixins/listctrl.py but I may be completely wrong :)
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from Rushster »

    ...I also think you missed my point. Why should people who support the site and help to keep it online by becoming a member be penalised becuase another user who has nothing to do with the site is using up bandwidth? Hardly fair now. I really don't see why some people should be paying for other people's usage. Internet users need to wake up and realise that running a website actually costs money, in our case thousands per month. Sadly in life there is no such thing as free lunch, as much as I wish there was :(.
    ...


    Well....and who says that WUU users are not members of your site? So you are penalising your own members in addition to everybody else? Isn't that throwing out the baby with the bathwater?

    I am running my own sites and I know about the cost of bandwidth. Yes, agreed, it is easier when somebody else is sponsoring the bill but having a program like WUU or any other of these auto updaters pull the data from your site (preferably from a specially prepared page made just for that purpose) actually uses less bandwidth than somebody looking at your pages with a browser. Somebody using an ad blocker like many do uses up not only more bandwidth but also produces a lot more bandwidth wastage. You should be happy for everybody who gets their addons via an updater...

    There are plenty of solutions to this problem...locking out people who don't do it your preferred way is not one of them.
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    trying to sort the columns by clicking on the title bar gives me (Mac, PPC, 10.4.9, Python 2.5.1 build r251) the following error:
    Quote from WUU 1.3.287 »

    2007-05-12 23:14:02 (ERROR ) Thread Error: load,
    Traceback (most recent call last):
    File "/Applications/WUU/WUU.py", line 328, in _do
    wurmUI.OnLoad(None)
    File "/Applications/WUU/WUU.py", line 1562, in OnLoad
    self.OnScan(None)
    File "/Applications/WUU/WUU.py", line 1581, in OnScan
    self.RefreshAddonList(showcount = True)
    File "/Applications/WUU/WUU.py", line 1543, in RefreshAddonList
    self.AddAddon(WurmCommon.addonlist.getSome(a))
    File "/Applications/WUU/WUU.py", line 1485, in AddAddon
    updateava, diff = WurmCommon.addons[a].updateAvailable()
    File "/Applications/WUU/Wurm.py", line 436, in updateAvailable
    self.localversion = Decimal(self.localversion)
    File "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/decimal.py", line 614, in __new__
    self._sign, self._int, self._exp = context._raise_error(ConversionSyntax)
    File "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/decimal.py", line 2325, in _raise_error
    raise error, explanation
    InvalidOperation


    That actually happened in the version .262 already but you were faster in releasing a new version than I was in reporting it :)

    Just let me know if you need more information.
    Posted in: Updaters
  • To post a comment, please or register a new account.